steps:
  STORE_SALES-19:
    operation:
      database: ""
      dataset: ""
      locationID: 2
      locationName: SOURCES
      metadata:
        columns:
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 285
              stepCounter: 19
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: SS_SOLD_DATE_SK
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 286
              stepCounter: 19
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: SS_SOLD_TIME_SK
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 287
              stepCounter: 19
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: SS_ITEM_SK
            nullable: false
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 288
              stepCounter: 19
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: SS_CUSTOMER_SK
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 289
              stepCounter: 19
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: SS_CDEMO_SK
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 290
              stepCounter: 19
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: SS_HDEMO_SK
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 291
              stepCounter: 19
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: SS_ADDR_SK
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 292
              stepCounter: 19
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: SS_STORE_SK
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 293
              stepCounter: 19
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: SS_PROMO_SK
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 294
              stepCounter: 19
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: SS_TICKET_NUMBER
            nullable: false
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 295
              stepCounter: 19
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: SS_QUANTITY
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 296
              stepCounter: 19
            config: {}
            dataType: NUMBER(7,2)
            defaultValue: ""
            description: ""
            name: SS_WHOLESALE_COST
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 297
              stepCounter: 19
            config: {}
            dataType: NUMBER(7,2)
            defaultValue: ""
            description: ""
            name: SS_LIST_PRICE
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 298
              stepCounter: 19
            config: {}
            dataType: NUMBER(7,2)
            defaultValue: ""
            description: ""
            name: SS_SALES_PRICE
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 299
              stepCounter: 19
            config: {}
            dataType: NUMBER(7,2)
            defaultValue: ""
            description: ""
            name: SS_EXT_DISCOUNT_AMT
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 300
              stepCounter: 19
            config: {}
            dataType: NUMBER(7,2)
            defaultValue: ""
            description: ""
            name: SS_EXT_SALES_PRICE
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 301
              stepCounter: 19
            config: {}
            dataType: NUMBER(7,2)
            defaultValue: ""
            description: ""
            name: SS_EXT_WHOLESALE_COST
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 302
              stepCounter: 19
            config: {}
            dataType: NUMBER(7,2)
            defaultValue: ""
            description: ""
            name: SS_EXT_LIST_PRICE
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 303
              stepCounter: 19
            config: {}
            dataType: NUMBER(7,2)
            defaultValue: ""
            description: ""
            name: SS_EXT_TAX
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 304
              stepCounter: 19
            config: {}
            dataType: NUMBER(7,2)
            defaultValue: ""
            description: ""
            name: SS_COUPON_AMT
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 305
              stepCounter: 19
            config: {}
            dataType: NUMBER(7,2)
            defaultValue: ""
            description: ""
            name: SS_NET_PAID
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 306
              stepCounter: 19
            config: {}
            dataType: NUMBER(7,2)
            defaultValue: ""
            description: ""
            name: SS_NET_PAID_INC_TAX
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 307
              stepCounter: 19
            config: {}
            dataType: NUMBER(7,2)
            defaultValue: ""
            description: ""
            name: SS_NET_PROFIT
            nullable: true
            primaryKey: false
            uniqueKey: false
        join:
          joinCondition: FROM {{ ref('SOURCES', 'STORE_SALES') }}
      name: STORE_SALES
      schema: ""
      sqlType: Source
      table: STORE_SALES
      type: sourceInput
    stepCounter: "19"
